import React from 'react';
import './loader.scss'

const Loader = (params) =>{
    
    return (
        <>
        <span className="loader-container"> 
        <span className="loader-content">
            <span style={{'fontWeight': 600}}>{params?.header || 'Please Wait...'}</span>
            <div id="load_progress" className="progress">
		    <div className="indeterminate"></div>
		  </div>
            <span className="loader-text">
            {params?.content || 'Loading...'}
                </span>
            </span>
        </span>
          </>
    )

}

export default Loader;