import { Button, Modal } from "react-bootstrap";
import okImg from '@assets/images/ok.svg'
import closeSvg from '@assets/images/close.svg'
import './retrieve-modal.scss'

const RetrieveModalSuccess = ({show, onHide, ipAddress, currentView, retrieveSession}) => {
 
    return (
          <Modal
            show={show}
            onHide={onHide}
            backdrop="static"
            keyboard={false}
            aria-labelledby="contained-modal-title-vcenter"
          >
            <Modal.Header closeButton>
              <Modal.Title id="contained-modal-title-vcenter">
                <h2>Receive session confirmation</h2>
              </Modal.Title>
            </Modal.Header>
            <Modal.Body className="grid-example scrollable-body">
              <h2>The device {ipAddress} wants to send you a session.do you accept?`</h2>
              
            </Modal.Body>
            <Modal.Footer>
                <span role="button" onClick={onHide} className="alignItem">
                  <img className="ok recolour-icons" src={closeSvg} alt="" />
                  <Button className="text-decoration-underline" variant="none">
                    Cancel
                  </Button>
                </span>
                <span role="button" onClick={onHide} className="alignItem">
                  <img  className="ok recolour-icons" src={okImg} alt="" />
                  <Button className="text-decoration-underline" variant="none"
                    onClick={() => {
                        currentView(2);
                        retrieveSession()
                      }
                    }
                    >
                    Accept Session
                  </Button>
                </span>
            </Modal.Footer>
          </Modal>
    )
}

export default RetrieveModalSuccess