import React from 'react';
import ReactDOM from 'react-dom';
import VisualizerInfoContainer from '@components/visualizer-info/visualizer-info'
import 'bootstrap/dist/css/bootstrap.min.css';

ReactDOM.render(
    <VisualizerInfoContainer 
        coverDetails={{
        image:'one.jpg', 
        headerText:'Grabber', 
        headerLogo: '',
        links:[
            { id: 'SAMPLE_ROOM', name: 'Sample Rooms', icon: 'icon', isDisable: false },
            { id: 'ROOM_IN_HOUSE', name: 'Room In My House', icon: 'icon', isDisable: false },
            { id: 'SAVED_PROJECTS', name: 'Saved Projects', icon: 'icon', isDisable: true }
          ]
        }}
        endpointURL={'http://172.208.34.192:2700/'}
    />,
  document.getElementById('root')
);

// export { VisualizerInfoContainer }